Skip to main content
GET
/
api
/
v3
/
admin
/
promotions
/
{promotion_id}
/
promotion_rules
Spree Admin SDK
import { createAdminClient } from '@spree/admin-sdk'

const client = createAdminClient({
  baseUrl: 'https://your-store.com',
  secretKey: 'sk_xxx',
})

const { data: rules } = await client.promotions.rules.list('promo_UkLWZg9DAJ')
{
  "data": [
    {
      "id": "prorule_UkLWZg9DAJ",
      "created_at": "2026-05-24T17:37:40.551Z",
      "updated_at": "2026-05-24T17:37:40.551Z",
      "type": "currency",
      "promotion_id": "promo_UkLWZg9DAJ",
      "preferences": {
        "currency": "USD"
      },
      "preference_schema": [
        {
          "key": "currency",
          "type": "string",
          "default": null
        }
      ],
      "label": "Currency",
      "product_ids": null,
      "category_ids": null,
      "customer_ids": null
    }
  ],
  "meta": {
    "page": 1,
    "limit": 25,
    "count": 1,
    "pages": 1,
    "from": 1,
    "to": 1,
    "in": 1,
    "previous": null,
    "next": null
  }
}

Documentation Index

Fetch the complete documentation index at: https://spreecommerce.org/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-spree-api-key
string
header
required

Secret API key for admin access

Authorization
string
header
required

JWT token for admin user authentication

Headers

x-spree-api-key
string
required
Authorization
string
required

Path Parameters

promotion_id
string
required

Response

200 - application/json

rules found